Bug 987223 - Review Request: campivisivi-titillium-fonts - Sans-serif typeface designed inside Campi Visivi's Type Design course
Review Request: campivisivi-titillium-fonts - Sans-serif typeface designed in...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 22:53 EDT by Luya Tshimbalanga
Modified: 2013-08-16 13:03 EDT (History)
4 users (show)

See Also:
Fixed In Version: campivisivi-titillium-fonts-20120913-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-02 17:51:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luya Tshimbalanga 2013-07-22 22:53:16 EDT
Spec URL: http://luya.fedorapeople.org/packages/SPECS/campivisivi-titillium-fonts.spec
SRPM URL: http://luya.fedorapeople.org/packages/SRPMS/campivisivi-titillium-fonts-20120913-1.fc19.src.rpm
Description: Titillium is born inside the Accademia di Belle Arti di Urbino as a didactic project Course Type design of the Master of Visual Design Campi Visivi.
The aim of the project is the creation of a collective fonts released under OFL.
Fedora Account System Username: luya
Comment 1 Christopher Meng 2013-07-22 22:57:02 EDT
Issues from spec:

1. What's this?

#global archivename %{name}-%{version} ②

2. Remove rm -fr %{buildroot} in install section.

3. Remove %clean section.
Comment 2 Luya Tshimbalanga 2013-07-22 23:22:51 EDT
(In reply to Christopher Meng from comment #1)
> 1. What's this?
> 
> #global archivename %{name}-%{version} ②
A comment from the fonts-simple template provided by fontpackager-devel. Now removed from the spec.

> 
> 2. Remove rm -fr %{buildroot} in install section.
Done

> 
> 3. Remove %clean section.
Done

Here is koji result:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5642652

Here is rpmlint result:
$ rpmlint campivisivi-titillium-fonts.spec 0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint campivisivi-titillium-fonts-20120913-2.fc19.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Here is the updated 
Spec URL: http://luya.fedorapeople.org/packages/SPECS/campivisivi-titillium-fonts.spec
SRPM URL: http://luya.fedorapeople.org/packages/SRPMS/campivisivi-titillium-fonts-20120913-2.fc19.src.rpm
Comment 3 Christopher Meng 2013-07-23 00:25:54 EDT
fontlint is OK;
rpmlint is OK;

APPROVED.
Comment 4 Luya Tshimbalanga 2013-07-23 00:39:35 EDT
ew Package SCM Request
=======================
Package Name: campivisivi-titillium-fonts 
Short Description: A set of general-purpose & titling open source fonts 
Owners: luya
Branches: f19 f18 el6
InitialCC: fonts-sig
Comment 5 Gwyn Ciesla 2013-07-23 08:08:23 EDT
No SCM request found.  Try re-adding it, with the N at the beginnging.
Comment 6 Luya Tshimbalanga 2013-07-23 12:40:14 EDT
New Package SCM Request
=======================
Package Name: campivisivi-titillium-fonts 
Short Description: A set of general-purpose & titling open source fonts 
Owners: luya
Branches: f19 f18 f17 el6
InitialCC: fonts-sig
Comment 7 Gwyn Ciesla 2013-07-23 13:08:16 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-07-23 14:08:29 EDT
campivisivi-titillium-fonts-20120913-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/campivisivi-titillium-fonts-20120913-2.fc19
Comment 9 Fedora Update System 2013-07-23 16:02:56 EDT
campivisivi-titillium-fonts-20120913-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/campivisivi-titillium-fonts-20120913-2.el6
Comment 10 Fedora Update System 2013-07-23 16:03:14 EDT
campivisivi-titillium-fonts-20120913-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/campivisivi-titillium-fonts-20120913-2.fc18
Comment 11 Fedora Update System 2013-07-24 19:57:04 EDT
campivisivi-titillium-fonts-20120913-2.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 12 Fedora Update System 2013-08-02 17:51:15 EDT
campivisivi-titillium-fonts-20120913-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 13 Fedora Update System 2013-08-02 17:58:00 EDT
campivisivi-titillium-fonts-20120913-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 14 Fedora Update System 2013-08-16 13:03:07 EDT
campivisivi-titillium-fonts-20120913-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.